Package org.bukkit.boss

# Enum Class DragonBattle.RespawnPhase

java.lang.Object
java.lang.Enum<DragonBattle.RespawnPhase>
org.bukkit.boss.DragonBattle.RespawnPhase

All Implemented Interfaces:
  `Serializable`, `Comparable<DragonBattle.RespawnPhase>`, `Constable`

Enclosing interface:
  DragonBattle

public static enum DragonBattle.RespawnPhase extends Enum<DragonBattle.RespawnPhase>
Represents a phase in the dragon respawn process.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`END`
The end of the respawn sequence.
`NONE`
No respawn is in progress.
`PREPARING_TO_SUMMON_PILLARS`
The crystal beams remain directed upwards.
`START`
The crystal beams are directed upwards into the sky.
`SUMMONING_DRAGON`
All crystals (including those from the pillars) are aimed towards the sky.
`SUMMONING_PILLARS`
The crystal beams are directed from pillar to pillar, regenerating their crystals if necessary.

## Method Summary

Modifier and Type
Method
Description
`static DragonBattle.RespawnPhase`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DragonBattle.RespawnPhase[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### START

public static final DragonBattle.RespawnPhase START
The crystal beams are directed upwards into the sky.

### PREPARING_TO_SUMMON_PILLARS

public static final DragonBattle.RespawnPhase PREPARING_TO_SUMMON_PILLARS
The crystal beams remain directed upwards.

### SUMMONING_PILLARS

public static final DragonBattle.RespawnPhase SUMMONING_PILLARS
The crystal beams are directed from pillar to pillar, regenerating their crystals if necessary.

### SUMMONING_DRAGON

public static final DragonBattle.RespawnPhase SUMMONING_DRAGON
All crystals (including those from the pillars) are aimed towards the sky. Shortly thereafter summoning the dragon and destroying the crystals used to initiate the dragon's respawn.

### END

public static final DragonBattle.RespawnPhase END
The end of the respawn sequence. The dragon is actually summoned.

### NONE

public static final DragonBattle.RespawnPhase NONE
No respawn is in progress.

## Method Details

### values

public static DragonBattle.RespawnPhase[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DragonBattle.RespawnPhase valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null